package com.share.help;

import java.util.ArrayList;
import java.util.List;

public class Util {

    /**
     * 按分割大小切割子集合
     * @param dataList 列表数据
     * @param splitSize 分割大小
     * @param <T> 数据类型
     * @return 返回包含所有子集的集合
     */
    public static <T> List<List<T>> splitList(Class<T> c,List<T> dataList, int splitSize){
        List<List<T>> splitList=new ArrayList<>();
        if(dataList.size()<=splitSize){
            splitList.add(dataList);
        }else {
            for (int i = splitSize, j = 0; i < dataList.size(); j = i, i += splitSize) {
                splitList.add(dataList.subList(j, i));
                if (i + splitSize >= dataList.size()) {
                    splitList.add(dataList.subList(i, dataList.size()));
                }
            }
        }
        return splitList;
    }
}
