package com.share.help.dao;

import com.share.help.entity.LeaveWordEntity;
import com.share.help.entity.custorm.LeaveWordRes;
import com.share.help.res.Page;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 留言信息数据接口
 */
public interface LeaveWordMapper {

//    添加留言
    @Insert("insert into leave_word(type,source_user_id,target_user_id,activity_id,create_time)" +
            "value(#{type},#{sourceUserId},#{targetUserId},#{activityId},#{createTime})")
    boolean insert(LeaveWordEntity leaveWordEntity);

//    查询留言列表
  List<LeaveWordRes> select(@Param("start") long start,@Param("count") long count,@Param("userId") String userId);

//    统计留言列表分页数
    @Select("select count(*) as count,ceil(count(*)/#{pageSize}) as totalPage,#{pageSize} as pageSize from leave_word where target_user_id=#{userId}")
    Page<List<LeaveWordRes>> count(@Param("pageSize") Integer pageSize,@Param("userId") String userId);

    /**
     * 删除留言
     * @param leaveWordId 留言id
     * @return 返回删除结果
     */
    @Delete("delete from leave_word where leave_word_id=#{leaveWordId}")
    boolean deleteOne(@Param("leaveWordId") Long leaveWordId);
}
